Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1113185 - PRD35 - [RFE] NFS custom mountoptions
Summary: PRD35 - [RFE] NFS custom mountoptions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Allon Mureinik
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On: 1087059
Blocks: 1057043 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-25 15:06 UTC by Allon Mureinik
Modified: 2016-02-10 20:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, users who wanted to take advantage of specific mount options their storage array supported could only define a POSIX domain, thus losing the enhancements Red Hat Enterprise Virtualization provides for NFS. With this release, it is now possible to specify custom mount options for NFS storage domains.
Clone Of: 1087059
Environment:
Last Closed: 2015-02-11 21:11:47 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0159 normal SHIPPED_LIVE vdsm 3.5.0 - bug fix and enhancement update 2015-02-12 01:35:58 UTC
oVirt gerrit 27584 None None None Never
oVirt gerrit 27694 None None None Never

Description Allon Mureinik 2014-06-25 15:06:58 UTC
+++ This bug was initially created as a clone of Bug #1087059 +++

+++ This bug was initially created as a clone of Bug #1057043 +++

Various storage providers allow enhancements for NFS mounts with specific mount options (e.g., see bug 1057043). 
This RFE is a the minimal requirement, to allow passing custom option from the GUI/REST all the way down to the mount command VDSM executes.
-------------------------------------------------------------------------------
This is a clone for tracking the inclusion of the RFE in RHEV.

Comment 3 Aharon Canan 2014-08-27 16:11:12 UTC
following my discussion with Sean - looks like we need to understand how to handle multiple nfs versions (please check bug 1129597)

Comment 4 Aharon Canan 2014-09-03 10:15:49 UTC
Waiting for the patched for blocking dual values through the advanced mount options

Comment 5 Allon Mureinik 2014-09-03 13:19:55 UTC
This is absolutely no reason to move fail qa - there's a a well documented gap (of a completely uninteresting usecase).
If you want to wait till the this is delivered, that's fine.

Comment 9 errata-xmlrpc 2015-02-11 21:11:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0159.html


Note You need to log in before you can comment on or make changes to this bug.